// ---------------------------- VSGFX.H -----------------------
// VSpace 3D library.
// Designed and written by Javier Ar‚valo Baeza.
// Graphics primitives for the VSpace pixel format.

#ifndef _VSGFX_H_
#define _VSGFX_H_

#include "vstmap.h"

#ifdef __cplusplus
extern "C" {
#endif

extern bool VSG_Line(sint32 x0, sint32 y0, sint32 x1, sint32 y1, VSTM_TPixel c);

extern bool VSG_LineAdd(sint32 x0, sint32 y0, sint32 x1, sint32 y1, VSTM_TPixel c);

extern bool VSG_Box(sint32 x0, sint32 y0, sint32 x1, sint32 y1,
                    VSTM_TPixel c, VSTM_TPixel interior);
extern bool VSG_BoxAdd(sint32 x0, sint32 y0, sint32 x1, sint32 y1,
                    VSTM_TPixel c, VSTM_TPixel interior);

extern bool VSG_Box(sint32 x0, sint32 y0, sint32 x1, sint32 y1,
                    VSTM_TPixel c, VSTM_TPixel interior);
extern bool VSG_BoxAdd(sint32 x0, sint32 y0, sint32 x1, sint32 y1,
                    VSTM_TPixel c, VSTM_TPixel interior);


 {


}



#ifdef __cplusplus
}
#endif

#endif

// ---------------------------- VSGFX.H -----------------------
